from PIL import Image, ImageDraw
from random import randrange

# 画像の幅、画像の高さ、円の半径
W, H, R = 1920, 1080, 20

# 画像の作成と描画の準備
image = Image.new('RGB', (W, H), (255, 255, 255))
draw = ImageDraw.Draw(image)

# ランダムな座標と色の円を多数描画する
for i in range(W*H//100):
    x, y = randrange(W), randrange(H)
    c = (randrange(256), randrange(256), randrange(256))
    draw.ellipse((x-R, y-R, x+R, y+R), c)

# 画像の出力
image.save('random.png')
