from PIL import Image
import numpy
import sys
import tensorflow.compat.v1 as tf

# TensorFlowの出力するメッセージの抑制
tf.logging.set_verbosity(tf.logging.ERROR)

# コマンドライン引数の確認
if len(sys.argv) < 2:
    print('usage:', 'python', sys.argv[0], '[image]')
    exit()

# 画像の読み込みと変換
image = Image.open(sys.argv[1]).convert('L').resize((28, 28))
input = numpy.array(image).reshape(1, 28, 28)/255

# ニューラルネットワークの読み込み
model = tf.keras.models.load_model('tf_model.h5')

# 判別の実行と結果の出力
print(model.predict(input).argmax())
