# TensorFlowのインポート
import tensorflow.compat.v1 as tf

# TensorFlowが出力するメッセージの抑制
tf.logging.set_verbosity(tf.logging.ERROR)

# 訓練データとテストデータの作成
mnist = tf.keras.datasets.mnist
(x_train, y_train), (x_test, y_test) = mnist.load_data()
x_train, x_test = x_train/255, x_test/255

# ニューラルネットワークの構築
model = tf.keras.models.Sequential([
    tf.keras.layers.Flatten(input_shape=(28, 28)),
    tf.keras.layers.Dense(512, activation=tf.nn.relu),
    tf.keras.layers.Dropout(0.2),
    tf.keras.layers.Dense(10, activation=tf.nn.softmax)
])

# ニューラルネットワークのコンパイル
model.compile(
    optimizer='adam',
    loss='sparse_categorical_crossentropy',
    metrics=['accuracy'])

# 学習
model.fit(x_train, y_train, epochs=5)

# テスト
model.evaluate(x_test, y_test)

# モデルをファイルに保存
model.save('tf_model.h5')
